Skip to content

deployment_managed_service_provision

Provision a managed service (e.g.

Tool

deployment_managed_service_provision

Provision a managed service (e.g.

Provision a managed service (e.g. Postgres, Redis) inside an environment

Behavior

HTTP
POST /deployment/environments/:environmentId/managed-services

Arguments

Name
Type
Required
Description
name
string
•
No description in the catalog.
slug
string
—
No description in the catalog.
engine
string
•
No description in the catalog.
version
string
—
No description in the catalog.
storageGiB
integer
—
No description in the catalog.
databaseName
string
—
No description in the catalog.
environmentId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
engine
string
•
status
string
•
version
string
•
createdAt
string
•
productId
string
•
updatedAt
string
•
storageGiB
number
•
backupPolicy
object
•
databaseName
string
•
lastBackupAt
string
•
environmentId
string
•
lastErrorMessage
string
•

Try it

Provision a managed service (e.g.

When to use

Provision a managed service (e.g. Postgres, Redis) inside an environment

Example

Ask your agent something like this:

Provision a managed service (e.g.

The agent will invoke deployment_managed_service_provision with these arguments:

{
  "name": "<name>",
  "engine": "<engine>",
  "environmentId": "<environmentId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select